/* Java */
import java.io.*;

public class parking {
    public static void main(String[] args) throws IOException
    {
        int housesAmount;
        String[] houses;
        String[] distances;
        BufferedReader br = new BufferedReader(new FileReader("parking.in"));
        BufferedWriter bw = new BufferedWriter(new FileWriter("parking.out"));
        housesAmount = Integer.parseInt(br.readLine());
        houses = br.readLine().split(" ");
        distances = br.readLine().split(" ");
        int opsAmount = Integer.parseInt(houses[housesAmount-1])-Integer.parseInt(houses[0])+getParkingDist(distances);
        int minSum = 0;
        int currentSum = 0;
        int startingPoint = Integer.parseInt(houses[housesAmount-1]);
        for(int i = 0; i<opsAmount;i++)
        {
            currentSum = getSum(houses,getParkingsCoords(startingPoint,distances));
            if(i==0)
            {
                minSum = currentSum;
            }
            if(currentSum<minSum)
            {
                minSum = currentSum;
            }
            startingPoint--;
        }
        bw.write(Integer.toString(minSum)+"\r\n");
        bw.close();
    }

    private static int[] getParkingsCoords(int startingPoint,String[] distances)
    {
        int[] coords = new int[distances.length+1];
        coords[0] = startingPoint;
        for(int i = 1;i<coords.length;i++)
        {
            coords[i] = coords[i-1]+Integer.parseInt(distances[i-1]);
        }
        return coords;
    }

    private static int getSum(String[] houses, int[] coords)
    {
        int sum = 0;
        for (int i = 0; i<houses.length;i++)
        {
            sum+=Math.abs(Integer.parseInt(houses[i])-coords[i]);
        }
        return sum;
    }

    private static int getParkingDist(String[] distances)
    {
        int sum = 0;
        for(String str:distances )
        {
            sum+=Integer.parseInt(str);
        }
        return sum;
    }

}
